# Welcome to {{ cookiecutter.project_name }}

## Setup
### 1. Install dependencies
#### Local virtual environment
```shell
python3 -m venv venv
source venv/bin/activate
pip install -r requirements/local.txt
```

#### Docker image
```shell
docker build -f Dockerfile --tag {{ cookiecutter.project_slug }} .
```

### 2. Initial setup
#### Environment variables
Environment variables for the project are being read from the env.yml file:
- Copy example yml:  
`cp envs.example.yml envs.yml`
- Adjust values as necessary

#### Initialize database
```shell
aerich init-db
```

#### Migrate database
```shell
aerich upgrade
```

#### Create new database migration
```shell
aerich migrate
```
